Competitor Item Prices
curl --request GET \
--url https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offersimport requests
url = "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total_offers": 1,
"total_priced_offers": 1,
"total_competitors": 1,
"next_cursor": "<string>",
"has_more": true,
"capture_id": "<string>",
"window_since": "2023-11-07T05:31:56Z",
"window_until": "2023-11-07T05:31:56Z",
"offers": [
{
"competitor_id": "<string>",
"name": "<string>",
"price": "<string>",
"regular_price": "<string>",
"currency": "<string>",
"stock": true,
"promo": true,
"status": "in_stock",
"observed_at": "2023-11-07T05:31:56Z",
"source_url": "<string>",
"competitor_product_id": "<string>",
"match_id": "<string>",
"match_version": 123,
"observation_id": "<string>",
"delivery_id": "<string>",
"competitor_product_name": "<string>",
"competitor_sku": "<string>",
"relation": "direct",
"usable": true,
"unpriced_reason": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}grids
Competitor Item Prices
GET
/
v1
/
grids
/
{grid_id}
/
items
/
{grid_item_id}
/
competitor-offers
Competitor Item Prices
curl --request GET \
--url https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offersimport requests
url = "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total_offers": 1,
"total_priced_offers": 1,
"total_competitors": 1,
"next_cursor": "<string>",
"has_more": true,
"capture_id": "<string>",
"window_since": "2023-11-07T05:31:56Z",
"window_until": "2023-11-07T05:31:56Z",
"offers": [
{
"competitor_id": "<string>",
"name": "<string>",
"price": "<string>",
"regular_price": "<string>",
"currency": "<string>",
"stock": true,
"promo": true,
"status": "in_stock",
"observed_at": "2023-11-07T05:31:56Z",
"source_url": "<string>",
"competitor_product_id": "<string>",
"match_id": "<string>",
"match_version": 123,
"observation_id": "<string>",
"delivery_id": "<string>",
"competitor_product_name": "<string>",
"competitor_sku": "<string>",
"relation": "direct",
"usable": true,
"unpriced_reason": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response

